Get identity summary for a node
/api/v1/nodes/{id}/identities/summaryAuthentication
- Bearer Token
AuthorizationJWT access token
- API Key
X-API-KeyAPI key for management-tier access
Path Parameters
| Name | Required | Type | Description |
|---|---|---|---|
id | string |
Code samples
curl -X GET "https://api.canopy.dev/api/v1/nodes/value/identities/summary" \ -H "X-API-Key: $CANOPY_API_KEY"
const response = await fetch("https://api.canopy.dev/api/v1/nodes/value/identities/summary", {
method: "GET",
headers: {
"X-API-Key": "$CANOPY_API_KEY"
},
});
const data = await response.json();import requests
response = requests.get(
"https://api.canopy.dev/api/v1/nodes/value/identities/summary",
headers={
"X-API-Key": "$CANOPY_API_KEY"
},
)
data = response.json()package main
import (
"net/http"
)
func main() {
req, _ := http.NewRequest("GET", "https://api.canopy.dev/api/v1/nodes/value/identities/summary", nil)
req.Header.Set("X-API-Key", "$CANOPY_API_KEY")
resp, _ := http.DefaultClient.Do(req)
defer resp.Body.Close()
}Responses
200 Identity counts by status returned
{
"direct_count": 0,
"inherited_count": 0,
"can_manage_assignments": false,
"active_count": 0,
"scheduled_count": 0,
"expired_count": 0,
"expiring_soon_count": 0,
"distinct_role_count": 0,
"recent_identities": [
{
"id": "string",
"first_name": "string",
"last_name": "string",
"name": "string",
"avatar_url": "string"
}
]
}application/json
direct_count *numberinherited_count *numbercan_manage_assignments *booleanactive_count *numberscheduled_count *numberexpired_count *numberexpiring_soon_count *numberdistinct_role_count *numberrecent_identities *RecentIdentityDto[]
401 Invalid or expired token
403 This token is not authorized for this endpoint (wrong principal type — e.g., admin token on identity-only endpoint, or vice versa)
404 Node not found